Subject: X2Go issue (in src:x2goclient) has been marked as pending for release

From: Mihai Moldovan <[email-masked]>
Date: Sun, 10 Dec 2017 06:04:03 +0100 (CET)

tag #1122 pending
fixed #1122 4.1.1.1
thanks

Hello,

X2Go issue #1122 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=248d227

The issue will most likely be fixed in src:x2goclient (4.1.1.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 248d22794db8f63d26187fe21045b64e12088427
Author: Mihai Moldovan <[email-masked]>
Date:   Sun Dec 10 06:03:29 2017 +0100

    debian/changelog: add bug closure for #1122.

diff --git a/debian/changelog b/debian/changelog
index 5cdc048..e3a4322 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -8,6 +8,7 @@ x2goclient (4.1.1.1-0x2go1) UNRELEASED; urgency=medium
       in MacPorts.
     - src/sshmasterconnection.cpp: don't ask for private key passphrase if
       auto-login merely failed due to the server denying the public key.
+      Fixes: #1122.
     - src/{httpbrokerclient,onmainwindow,sshmasterconnection}.{cpp,h}:
       introduce new passphrase_type enum and replace the old verificationCode
       boolean value with that. Allows using more messages, including a new one
@@ -18,11 +19,12 @@ x2goclient (4.1.1.1-0x2go1) UNRELEASED; urgency=medium
       include onmainwindow.h to avoid a circular dependency, it has to be
       part of SshMasterConnection for now.
     - src/sshmasterconnection.cpp: query for password if it wasn't already
-      provided. This usually happens if auto-login is enabled, which bypasses
-      the password prompt. If auto-login fails, authentication normally
-      continues via challenge auth or plain passwords, but since users had no
-      chance to input a password, such authentication will always fail. Give
-      users a way to enter passwords, in case the auto-login failed.
+      provided. Fixes: #1122. This usually happens if auto-login is enabled,
+      which bypasses the password prompt. If auto-login fails, authentication
+      normally continues via challenge auth or plain passwords, but since
+      users had no chance to input a password, such authentication will always
+      fail. Give users a way to enter passwords, in case the auto-login
+      failed.
     - src/onmainwindow.cpp: finally include version information in debug
       output.
     - res/i18n/x2goclient_*.ts: apply last change to translation files